```@meta
CurrentModule = SimpleStatics
```

# SimpleStatics

Documentation for [SimpleStatics](https://github.com/Boxylmer/SimpleStatics.jl).


## What is SimpleStatics?
SimpleStatics is a package that assists in the computation and visualization of 2D structure stresses and strains. It's geared towards being able to quickly set up, view, and solve statics problems (in that order) while being as easy as possible to learn how to use. 


## Who is this package designed for?
The target audience are hobbyists wanting to design and build structures for various purposes, such as greenhouses, a wing for an RC plane, you get the idea. Many concepts in this package are directly implemented from the very good book [**Matrix Analysis of Structures**](https://repository.bakrie.ac.id/10/1/%5BTSI-LIB-131%5D%5BAslam_Kassimali%5D_Matrix_Analysis_of_Structure.pdf) by Kassimali.


## How do I get started?
Check out the [Example Workflow](@ref)


## Where can I find more examples?

### [Example 1 - Mild Steel Warren Truss](@ref)
A simple truss made from mild steel, where we get to see some significant deformations due to loading.
